Subject: Re: bug#19714: reftex under Xemacs 21.5.33 Mule

From: Uwe Brauer <[email-masked]>
Date: Thu, 29 Jan 2015 16:20:11 +0100

> Uwe Brauer <[email-masked]> writes:

   > What I mean is exactly this:

   > (if (featurep 'xemacs)
   >     (defconst reftex-label-regexps '("\\\\label{\\([^}]*\\)}"))
   >   (defcustom reftex-label-regexps
   >     '(;; Normal \\label{foo} labels
   >       "\\\\label{\\(?1:[^}]*\\)}"
   >       ;; keyvals [..., label = {foo}, ...] forms used by ctable,
   >       ;; listings, minted, ...
   >       "\\[[^]]*\\<label[[:space:]]*=[[:space:]]*{?\\(?1:[^],}]+\\)}?")
   >     "List of regexps matching \\label definitions.
   > The default value matches usual \\label{...} definitions and
   > keyval style [..., label = {...}, ...] label definitions.  It is
   > assumed that the regexp group 1 matches the label text, so you
   > have to define it using \\(?1:...\\) when adding new regexps.

   > When changed from Lisp, make sure to call
   > `reftex-compile-variables' afterwards to make the change
   > effective."
   >     :version "24.4"
   >     :set (lambda (symbol value)
   > 	   (set symbol value)
   > 	   (when (fboundp 'reftex-compile-variables)
   > 	     (reftex-compile-variables)))
   >     :group 'reftex-defining-label-environments
   >     :type '(repeat (regexp :tag "Regular Expression"))))

   > I've already committed the above to the emacs-24 branch which is synced
   > also to master regularly.

Ok, I will try this as soon as I can, this weekend then.

   > I'm closing this bug.

   > Bye,
   > Tassilo
thanks 

Uwe